<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml"  indent="yes"/>
    
    	<xsl:template match="MD_Metadata|Metadata">
        		<mdml_metadata>
	                            	<xsl:apply-templates select="./mdFileID"/>
	                            	<xsl:apply-templates select="./mdLang"/>
        			<xsl:apply-templates select="./mdChar"/>
        			<xsl:apply-templates select="./mdContact"/>
                        		<xsl:apply-templates select="./mdDateSt"/>
                        		<xsl:apply-templates select="./mdStanName"/>
                        		<xsl:apply-templates select="./mdStanVer"/>
        			<dataIdInfo>
        				<xsl:apply-templates select="./dataIdInfo/idCitation"/>
        				<xsl:apply-templates select="./dataIdInfo/idAbs"/>
        				<xsl:apply-templates select="./dataIdInfo/idPoC"/>
        				<xsl:apply-templates select="./dataIdInfo/spatRpType"/>
        				<xsl:apply-templates select="./dataIdInfo/dataScale"/>
        				<dataLang>
	        				<xsl:for-each select="./dataIdInfo/dataLang">
	        					<xsl:apply-templates select="."/>	
	        				</xsl:for-each>
        				</dataLang>
        				<dataChar>
        					<xsl:for-each select="./dataIdInfo/dataChar">
        						<xsl:apply-templates select="."/>	
        					</xsl:for-each>
        				</dataChar>
        				<xsl:apply-templates select="./dataIdInfo/tpCat"/>
        			</dataIdInfo>
        			<dqInfo>
        				<xsl:apply-templates select="./dqInfo/dataLineage/statement"/>
        			</dqInfo>
        			<xsl:apply-templates select="./refSysInfo/RefSystem/refSysID/identCode"/>
        			<distInfo>
        				<xsl:apply-templates select="./dataIdInfo/dsFormat"/>
        				<xsl:apply-templates select="./distInfo/distTranOps"/>
        			</distInfo>
        			<xsl:apply-templates select="./dataIdInfo/geoBox"/>
        			<xsl:apply-templates select="./dataIdInfo/dataExt/tempEle/TempExtent/exTemp/TM_GeometricPrimitive/TM_Period"/>
        		</mdml_metadata>
        	</xsl:template>   
        	
        	
        	
 	<xsl:template match="mdFileID">
	 	<mdml_mdFileID>
			<xsl:value-of select="."/>
	        	</mdml_mdFileID>
        	</xsl:template>
    
    	
    	<xsl:template match="mdLang">
    		<mdLang>
	        		<xsl:element name="mdml_mdLang">
	        			<xsl:attribute name="value">
	        				<xsl:value-of select="./languageCode/@value"/>
	        			</xsl:attribute>
	        		</xsl:element>
    		</mdLang>
    	</xsl:template>
    	
    	<xsl:template match="mdChar">
    		<mdChar>
	        		<xsl:element name="mdml_mdChar">
	        			<xsl:attribute name="value">
	        				<xsl:value-of select="./CharSetCd/@value"/>
	        			</xsl:attribute>
	        		</xsl:element>
    		</mdChar>
    	</xsl:template>
	
	<xsl:template match="mdContact">
		<mdml_mdContact>
			<xsl:apply-templates select="./rpIndName"/>
			<xsl:apply-templates select="./rpOrgName"/>
			<xsl:apply-templates select="./rpPosName"/>
			<xsl:apply-templates select="./rpCntInfo"/>
			<role>
				<xsl:element name="mdml_role">
					<xsl:attribute name="value">
						<xsl:value-of select="./role/RoleCd/@value"/>
					</xsl:attribute>
				</xsl:element>
			</role>
		</mdml_mdContact>
	</xsl:template>
	
	<xsl:template match="rpIndName">
		<mdml_rpIndName>
			<xsl:value-of select="."/>
		</mdml_rpIndName>
	</xsl:template>
	
	<xsl:template match="rpOrgName">
		<mdml_rpOrgName>
			<xsl:value-of select="."/>
		</mdml_rpOrgName>
	</xsl:template>
	
	<xsl:template match="rpPosName">
		<mdml_rpPosName>
			<xsl:value-of select="."/>
		</mdml_rpPosName>
	</xsl:template>
	
	<xsl:template match="rpCntInfo">
		<mdml_rpCntInfo>
			<xsl:apply-templates select="./cntPhone"/>
			<xsl:apply-templates select="./cntAddress"/>
			<xsl:apply-templates select="./cntOnLineRes"/>
			<xsl:apply-templates select="./cntHours"/>
			<xsl:apply-templates select="./cntInstr"/>
		</mdml_rpCntInfo>
	</xsl:template>
	
	<xsl:template match="cntPhone">
		<mdml_cntPhone>
			<xsl:apply-templates select="./voiceNum"/>
			<xsl:apply-templates select="./faxNum"/>
		</mdml_cntPhone>
	</xsl:template>
	
	<xsl:template match="voiceNum">
		<mdml_voiceNum>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_voiceNum>
	</xsl:template>
	
	
	<xsl:template match="faxNum">
		<mdml_faxNum>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_faxNum>
	</xsl:template>
	
	<xsl:template match="cntAddress">
		<mdml_cntAddress>
			<xsl:apply-templates select="./delPoint"/>
			<xsl:apply-templates select="./city"/>
			<xsl:apply-templates select="./adminArea"/>
			<xsl:apply-templates select="./postCode"/>
			<xsl:apply-templates select="./country"/>
			<xsl:apply-templates select="./eMailAdd"/>
		</mdml_cntAddress>
	</xsl:template>
	
	<xsl:template match="delPoint">
		<mdml_delPoint>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_delPoint>
	</xsl:template>
	
	<xsl:template match="city">
		<mdml_city>
			<xsl:value-of select="."/>
		</mdml_city>
	</xsl:template>
	
	
	<xsl:template match="adminArea">
		<mdml_adminArea>
			<xsl:value-of select="."/>
		</mdml_adminArea>
	</xsl:template>
	
	
	<xsl:template match="postCode">
		<mdml_postCode>
			<xsl:value-of select="."/>
		</mdml_postCode>
	</xsl:template>
	
	<xsl:template match="country">
		<mdml_country>
			<xsl:value-of select="."/>
		</mdml_country>
	</xsl:template>
	
	
	<xsl:template match="eMailAdd">
		<mdml_eMailAdd>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_eMailAdd>
	</xsl:template>
	
	
	
	<xsl:template match="cntOnLineRes">
		<mdml_cntOnlineRes>
			<xsl:apply-templates select="./linkage"/>
			<xsl:apply-templates select="./protocol"/>
			<xsl:apply-templates select="./appProfile"/>
			<xsl:apply-templates select="./orName"/>
			<xsl:apply-templates select="./orDesc"/>
			<xsl:apply-templates select="./orFunct"/>
		</mdml_cntOnlineRes>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/linkage">
		<mdml_linkage>
			<xsl:value-of select="."/>
		</mdml_linkage>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/protocol">
		<mdml_protocol>
			<xsl:value-of select="."/>
		</mdml_protocol>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/appProfile">
		<mdml_appProfile>
			<xsl:value-of select="."/>
		</mdml_appProfile>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/orName">
		<mdml_orName>
			<xsl:value-of select="."/>
		</mdml_orName>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/orDesc">
		<mdml_orDesc>
			<xsl:value-of select="."/>
		</mdml_orDesc>
	</xsl:template>
	
	<xsl:template match="cntOnLineRes/orFunct">
		<xsl:element name="mdml_orFunct">
			<xsl:attribute name="value">
				<xsl:value-of select="./OnFunctCd/@value"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="cntHours">
		<mdml_cntHours>
			<xsl:value-of select="."/>
		</mdml_cntHours>
	</xsl:template>
	
	<xsl:template match="cntInstr">
		<mdml_cntInstr>
			<xsl:value-of select="."/>
		</mdml_cntInstr>
	</xsl:template>
	
	<xsl:template match="mdDateSt">
		<mdml_mdDateSt>
			<xsl:value-of select="."/>
		</mdml_mdDateSt>
	</xsl:template>
	
	<xsl:template match="mdStanName">
		<mdml_mdStanName>
			<xsl:value-of select="."/>
		</mdml_mdStanName>
	</xsl:template>
	
	<xsl:template match="mdStanVer">
		<mdml_mdStanVer>
			<xsl:value-of select="."/>
		</mdml_mdStanVer>
	</xsl:template>
        	
	
	<xsl:template match="distTranOps">
		<distTranOps>
			<xsl:apply-templates select="./onLineSrc"/>
		</distTranOps>		
	</xsl:template>
	
	<xsl:template match="onLineSrc">
		<onLineSrc>
			<xsl:apply-templates select="./linkage"/>
			<xsl:apply-templates select="./protocol"/>
			<xsl:apply-templates select="./appProfile"/>
			<xsl:apply-templates select="./orName"/>
			<xsl:apply-templates select="./orDesc"/>
			<xsl:apply-templates select="./orFunct"/>
		</onLineSrc>		
	</xsl:template>
	
	<xsl:template match="onLineSrc/linkage">
		<mdml_onLineSrc_linkage>
			<xsl:value-of select="."/>
		</mdml_onLineSrc_linkage>
	</xsl:template>
	
	<xsl:template match="onLineSrc/protocol">
		<mdml_onLineSrc_protocol>
			<xsl:value-of select="."/>
		</mdml_onLineSrc_protocol>
	</xsl:template>
	
	<xsl:template match="onLineSrc/appProfile">
		<mdml_onLineSrc_appProfile>
			<xsl:value-of select="."/>
		</mdml_onLineSrc_appProfile>
	</xsl:template>
	
	<xsl:template match="onLineSrc/orName">
		<mdml_onLineSrc_orName>
			<xsl:value-of select="."/>
		</mdml_onLineSrc_orName>
	</xsl:template>
	
	<xsl:template match="onLineSrc/orDesc">
		<mdml_onLineSrc_orDesc>
			<xsl:value-of select="."/>
		</mdml_onLineSrc_orDesc>
	</xsl:template>
	
	<xsl:template match="onLineSrc/orFunct">
		<xsl:element name="mdml_onLineSrc_orFunct">
			<xsl:attribute name="value">
				<xsl:value-of select="./OnFunctCd/@value"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template match="idCitation">
        		<idCitation>
        			<xsl:apply-templates select="./resTitle"/>
        			<xsl:if test="./resRefDate">
        				<mdml_resRefDate>
        					<xsl:for-each select="./resRefDate">
        						<xsl:apply-templates select="."/>            
        					</xsl:for-each>
        				</mdml_resRefDate>
        			</xsl:if>
        		</idCitation>
	</xsl:template>
	
	<xsl:template match="resTitle">
		<mdml_resTitle>
			<xsl:value-of select="."/>
		</mdml_resTitle>
	</xsl:template>
	
	<xsl:template match="resRefDate">
			<mdml_refDate>
				<xsl:value-of select="./refDate"/>
			</mdml_refDate>
			<mdml_refDateType>
				<xsl:element name="mdml_refDateTypeCd">
					<xsl:attribute name="value">
						<xsl:value-of select="./refDateType/DateTypCd/@value"/>
					</xsl:attribute>
				</xsl:element>
			</mdml_refDateType>
	</xsl:template>
		
	
	<xsl:template match="idAbs">
		<mdml_idAbs>
			<xsl:value-of select="."/>
		</mdml_idAbs>
	</xsl:template>
	
	
	<xsl:template match="idPoC">
		<mdml_idPoc>
			<xsl:apply-templates select="./rpIndName"/>
			<xsl:apply-templates select="./rpOrgName"/>
			<xsl:apply-templates select="./rpPosName"/>
			<xsl:apply-templates select="./rpCntInfo"/>
			<xsl:apply-templates select="./role"/>
		</mdml_idPoc>
	</xsl:template>
	
	
	<xsl:template match="idPoC/rpIndName">
		<mdml_idpoc_rpIndName>
			<xsl:value-of select="."/>
		</mdml_idpoc_rpIndName>
	</xsl:template>	
	
	
	<xsl:template match="idPoC/rpOrgName">
		<mdml_idpoc_rpOrgName>
			<xsl:value-of select="."/>
		</mdml_idpoc_rpOrgName>
	</xsl:template>
	
	<xsl:template match="idPoC/rpPosName">
		<mdml_idpoc_rpPosName>
			<xsl:value-of select="."/>
		</mdml_idpoc_rpPosName>
	</xsl:template>
	
	
	
	<xsl:template match="idPoC/rpCntInfo">
		<mdml_idpoc_rpCntInfo>
			<xsl:apply-templates select="./cntPhone"/>
			<xsl:apply-templates select="./cntAddress"/>
			<xsl:apply-templates select="./cntOnLineRes"/>
			<xsl:apply-templates select="./cntHours"/>
			<xsl:apply-templates select="./cntInstr"/>
		</mdml_idpoc_rpCntInfo>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntPhone">
		<mdml_idpoc_cntPhone>
			<xsl:apply-templates select="./voiceNum"/>
			<xsl:apply-templates select="./faxNum"/>
		</mdml_idpoc_cntPhone>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntPhone/voiceNum">
		<mdml_idpoc_voiceNum>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_idpoc_voiceNum>
	</xsl:template>
	
	
	<xsl:template match="idPoC/rpCntInfo/cntPhone/faxNum">
		<mdml_idpoc_faxNum>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_idpoc_faxNum>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress">
		<mdml_idpoc_cntAddress>
			<xsl:apply-templates select="./delPoint"/>
			<xsl:apply-templates select="./city"/>
			<xsl:apply-templates select="./adminArea"/>
			<xsl:apply-templates select="./postCode"/>
			<xsl:apply-templates select="./country"/>
			<xsl:apply-templates select="./eMailAdd"/>
		</mdml_idpoc_cntAddress>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/delPoint">
		<mdml_idpoc_delPoint>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_idpoc_delPoint>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/city">
		<mdml_idpoc_city>
			<xsl:value-of select="."/>
		</mdml_idpoc_city>
	</xsl:template>
	
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/adminArea">
		<mdml_idpoc_adminArea>
			<xsl:value-of select="."/>
		</mdml_idpoc_adminArea>
	</xsl:template>
	
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/postCode">
		<mdml_idpoc_postCode>
			<xsl:value-of select="."/>
		</mdml_idpoc_postCode>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/country">
		<mdml_idpoc_country>
			<xsl:value-of select="."/>
		</mdml_idpoc_country>
	</xsl:template>
	
	
	<xsl:template match="idPoC/rpCntInfo/cntAddress/eMailAdd">
		<mdml_idpoc_eMailAdd>
			<xsl:value-of select="./@value"/>
			<xsl:value-of select="."/>
		</mdml_idpoc_eMailAdd>
	</xsl:template>
	
	
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes">
		<mdml_idpoc_cntOnlineRes>
			<xsl:apply-templates select="./linkage"/>
			<xsl:apply-templates select="./protocol"/>
			<xsl:apply-templates select="./appProfile"/>
			<xsl:apply-templates select="./orName"/>
			<xsl:apply-templates select="./orDesc"/>
			<xsl:apply-templates select="./orFunct"/>
		</mdml_idpoc_cntOnlineRes>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/linkage">
		<mdml_idpoc_linkage>
			<xsl:value-of select="."/>
		</mdml_idpoc_linkage>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/protocol">
		<mdml_idpoc_protocol>
			<xsl:value-of select="."/>
		</mdml_idpoc_protocol>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/appProfile">
		<mdml_idpoc_appProfile>
			<xsl:value-of select="."/>
		</mdml_idpoc_appProfile>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/orName">
		<mdml_idpoc_orName>
			<xsl:value-of select="."/>
		</mdml_idpoc_orName>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/orDesc">
		<mdml_idpoc_orDesc>
			<xsl:value-of select="."/>
		</mdml_idpoc_orDesc>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntOnLineRes/orFunct">
		<xsl:element name="mdml_idpoc_orFunct">
			<xsl:attribute name="value">
				<xsl:value-of select="./OnFunctCd/@value"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntHours">
		<mdml_idpoc_cntHours>
			<xsl:value-of select="."/>
		</mdml_idpoc_cntHours>
	</xsl:template>
	
	<xsl:template match="idPoC/rpCntInfo/cntInstr">
		<mdml_idpoc_cntInstr>
			<xsl:value-of select="."/>
		</mdml_idpoc_cntInstr>
	</xsl:template>
	
	<xsl:template match="idPoC/role">
		<role>
			<xsl:element name="mdml_idpoc_role">
				<xsl:attribute name="value">
					<xsl:value-of select="./RoleCd/@value"/>
				</xsl:attribute>
			</xsl:element>
		</role>
	</xsl:template>
	
	<xsl:template match="dsFormat">
		<mdml_dsFormat>
			<xsl:apply-templates select="./formatName"/>
			<xsl:apply-templates select="./formatVer"/>
		</mdml_dsFormat>
	</xsl:template>
	
	<xsl:template match="formatName">
		<mdml_formatName>
			<xsl:value-of select="."/>
		</mdml_formatName>
	</xsl:template>
	
	<xsl:template match="formatVer">
		<mdml_formatVer>
			<xsl:value-of select="."/>
		</mdml_formatVer>
	</xsl:template>
	
	
	<xsl:template match="spatRpType">
		<spatRpType>
			<xsl:element name="mdml_spatRpType">
				<xsl:attribute name="value">
					<xsl:value-of select="./SpatRepTypCd/@value"/>
				</xsl:attribute>
			</xsl:element>
		</spatRpType>
	</xsl:template>
	
	<xsl:template match="dataScale">
		<mdml_dataScale>
			<xsl:apply-templates select="./equScale"/>
		</mdml_dataScale>
	</xsl:template>
	
	
	<xsl:template match="equScale">
		<mdml_equScale>
			<xsl:apply-templates select="./rfDenom"/>
		</mdml_equScale>
	</xsl:template>
	
	
	<xsl:template match="rfDenom">
		<mdml_rfDenom>
			<xsl:value-of select="."/>
		</mdml_rfDenom>
	</xsl:template>
	
	<xsl:template match="dataLang">
		<xsl:element name="mdml_dataLang">
			<xsl:attribute name="value">
				<xsl:value-of select="./languageCode/@value"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="dataChar">
		<xsl:element name="mdml_dataChar">
			<xsl:attribute name="value">
				<xsl:value-of select="./CharSetCd/@value"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="tpCat">
		<tpCat>
			<xsl:element name="mdml_tpCat">
				<xsl:attribute name="value">
					<xsl:value-of select="./TopicCatCd/@value"/>
				</xsl:attribute>
			</xsl:element>
		</tpCat>
	</xsl:template>
	
	<xsl:template match="statement">
		<dataLineage>
			<mdml_statement>
				<xsl:value-of select="."/>
			</mdml_statement>
		</dataLineage>
	</xsl:template>
	
        	<xsl:template match="identCode">
        		<mdml_refSysInfo>
        			<mdml_RefSystem>
        				<mdml_refSysID>
        					<mdml_refSystem_identCode>
			        			<xsl:value-of select="."/>
        					</mdml_refSystem_identCode>
        				</mdml_refSysID>
        			</mdml_RefSystem>
        		</mdml_refSysInfo>
        	</xsl:template>
	
	
	<xsl:template match="geoBox">
		<mdml_geoBox>
			<mdml_westBL>
				<xsl:value-of select="./westBL"/>
			</mdml_westBL>
			<mdml_eastBL>
				<xsl:value-of select="./eastBL"/>
			</mdml_eastBL>
			<mdml_southBL>
				<xsl:value-of select="./southBL"/>
			</mdml_southBL>
			<mdml_northBL>
				<xsl:value-of select="./northBL"/>
			</mdml_northBL>
		</mdml_geoBox>
	</xsl:template>
	
	<xsl:template match="TM_Period">
		<dataExt>
			<tempEle>
				<TempExtent>
					<mdml_exTemp>
						<mdml_TM_GeometricPrimitive>
							<mdml_TM_Period>
								<mdml_begin>
									<xsl:value-of select="./begin"/>
								</mdml_begin>
								<mdml_end>
									<xsl:value-of select="./end"/>	
								</mdml_end>
							</mdml_TM_Period>
						</mdml_TM_GeometricPrimitive>
					</mdml_exTemp>
				</TempExtent>
			</tempEle>
		</dataExt>
	</xsl:template>

 </xsl:stylesheet>   
