<?xml version="1.0" encoding="iso-8859-1" ?>

<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:fn="http://www.w3.org/2005/xpath-functions"
	xmlns:xdt="http://www.w3.org/2005/xpath-datatypes"
	xmlns:err="http://www.w3.org/2005/xqt-errors"
	exclude-result-prefixes="xs xdt err fn">

	<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="MDML">
		<MD_Metadata>
			<!-- I. Agenda de contactos -->
			<identificationInfo>
				<MD_DataIdentification>
					<citation>
						<CI_Citation>
							<xsl:for-each select="layerInfo/metadataInfo/contacts/contact">
								<xsl:apply-templates select="./role"/>
								<xsl:apply-templates select="./individualName"/>
								<xsl:apply-templates select="./organisationName"/>
								<xsl:apply-templates select="./positionName"/>
								<xsl:apply-templates select="./contactInfo"/>
							</xsl:for-each>
						</CI_Citation>
					</citation>
					<abstract>
						<xsl:value-of select="layerInfo/metadataInfo/identificationInfoList/identificationInfo/abstract"/>
					</abstract>
				</MD_DataIdentification>
			</identificationInfo>
			<!-- II. Gestor de metadatos -->
			<dateStamp>
				<xsl:value-of select="./layerInfo/metadataInfo/dateStamp"/>
			</dateStamp>
			<language>
				<xsl:value-of select="./layerInfo/metadataInfo/language"/>
			</language>
			<characterSet>
				<xsl:value-of select="./layerInfo/metadataInfo/characterSet"/>
			</characterSet>
			<metadataStandardName>
				<xsl:value-of select="./layerInfo/metadataInfo/metadataStandardName"/>
			</metadataStandardName>
			<metadataStandardVersion>
				<xsl:value-of select="./layerInfo/metadataInfo/metadataStandardVersion"/>
			</metadataStandardVersion>
			
		</MD_Metadata>
	</xsl:template>
	
	
	<xsl:template match="role">
		<role><xsl:value-of select="."/></role>
	</xsl:template>
	
	<xsl:template match=
"individualName">
		<individualName><xsl:value-of select="."/></individualName>
	</xsl:template>


	<xsl:template match="organisationName">
		<organisationName><xsl:value-of select="."/></organisationName>
	</xsl:template>

	<xsl:template match="positionName">
		<positionName><xsl:value-of select="."/></positionName>
	</xsl:template>

	<xsl:template match="contactInfo">
		<contactInfo>
			<CI_Contact>
				<phone>
					<CI_Telephone>
						<xsl:for-each select="./phone/voices/voice">
							<voice><xsl:value-of select="."/></voice>
						</xsl:for-each>
						<xsl:for-each select="./phone/facsimiles/facsimile">
							<facsimile><xsl:value-of select="."/></facsimile>
						</xsl:for-each>
					</CI_Telephone>
				</phone>
				<address>
					<CI_Address> 
						<xsl:for-each select="./deliveryPoints/deliveryPoint">
							<deliveryPoint><xsl:value-of select="."/></deliveryPoint>
						</xsl:for-each>
						<city><xsl:value-of select="./city"/></city>
						<administrativeArea><xsl:value-of select="./administrativeArea"/></administrativeArea>
						<postalCode><xsl:value-of select="./postalCode"/></postalCode>
						<country><xsl:value-of select="./country"/></country>
						<xsl:for-each select="./electronicMailAddresses/electronicMailAddress">
							<electronicMailAddress><xsl:value-of select="."/></electronicMailAddress>
						</xsl:for-each>
					</CI_Address>
				</address>
				<xsl:apply-templates select="./onlineResource"/>
				<xsl:apply-templates select="./hoursOfService"/>
				<xsl:apply-templates select="./contactInstructions"/>
			</CI_Contact>
		</contactInfo>
	</xsl:template>


	<xsl:template match="onlineResource">

		<onlineResource>
	
		<CI_OnlineResource>
	
			<xsl:apply-templates select="linkage"/>
		
		<xsl:apply-templates select="protocol"/>
		
		<xsl:apply-templates select="applicationProfile"/>
		
		<xsl:apply-templates select="name"/>
		
		<xsl:apply-templates select="description"/>
		
		<xsl:apply-templates select="function"/>
			</CI_OnlineResource>
		</onlineResource>

	</xsl:template>

	<xsl:template match="linkage">
		<linkage><xsl:value-of select="."/></linkage>
	</xsl:template>


	<xsl:template match="protocol">
		<protocol><xsl:value-of select="."/></protocol>
	</xsl:template>

	<xsl:template match="applicationProfile">
		<applicationProfile><xsl:value-of select="."/></applicationProfile>
	</xsl:template>
	
	<xsl:template match="name">
		<name><xsl:value-of select="."/></name>
	</xsl:template>
	
	<xsl:template match="description">
		<description><xsl:value-of select="."/></description>
	</xsl:template>
	
	<xsl:template match="function">
		<function><xsl:value-of select="."/></function>
	</xsl:template>

	<xsl:template match="hoursOfService">
		<hoursOfService><xsl:value-of select="."/></hoursOfService>
	</xsl:template>

	<xsl:template match="contactInstructions">
		<contactInstructions><xsl:value-of select="."/></contactInstructions>
	</xsl:template>

</xsl:stylesheet>
